Feature: Copy letter

  In order to save money, time and trees
  WiCoRIS-Postman should deliver letters by copying them to shared folder

  Background:
    Given a letter
    And a copy job
    And an output folder

  @announce
  Scenario: Single copy job
    When I run postman with output dir
    Then the letter should have been copied
    And the job should have been deleted
    And the copy should have been logged

  @announce
  Scenario: No copy in NOOP mode
    When I run postman with output dir in noop mode
    Then the letter should not have been copied
    And the job should not have been deleted
    And the copy should have been logged

  @announce
  Scenario: Run with config file
    When I run postman with output dir from config file
    Then the letter should have been copied
    And the job should have been deleted
    And the copy should have been logged
