Feature: Fax letter

  In order to save money, time and trees
  WiCoRIS-Postman should deliver letters by fax

  Background:
    Given a letter
    And a fax job
    And a doubled fax interface

  @announce
  Scenario: Single fax job
    When I run postman
    Then the letter should have been faxed
    And the job should have been deleted
    And the fax should have been logged

  @announce
  Scenario: NOOP mode
    When I run postman in noop mode
    Then the letter should not have been faxed
    And the job should not have been deleted
    And the fax should have been logged
