# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'wicoris/postman/version'

Gem::Specification.new do |spec|
  spec.name          = "wicoris-postman"
  spec.version       = Wicoris::Postman::VERSION
  spec.authors       = ["Björn Albers"]
  spec.email         = ["bjoernalbers@googlemail.com"]
  spec.description   = %q{Deliver letters from WiCoRIS}
  spec.summary       = "#{spec.name}-#{spec.version}"
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "json_pure", "~> 1.8"
  spec.add_dependency "cabin", "~> 0.6"
  spec.add_dependency "mixlib-cli", "~> 1.4"
  spec.add_dependency "mixlib-config", "~> 2.1"
  spec.add_dependency "mixlib-shellout", "~> 1.3"
  spec.add_dependency "jlo", "~> 0.4"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "aruba", "~> 0.5"
  spec.add_development_dependency "aruba-doubles", "~> 1.2"
end
